Get single agent run details
curl --request GET \
--url https://api.getgranite.ai/api/agent/runs/{run_id}import requests
url = "https://api.getgranite.ai/api/agent/runs/{run_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getgranite.ai/api/agent/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_run_id": "<string>",
"user_prompt": "<string>",
"status": "<string>",
"created_at": "<string>",
"execution_time": "<string>",
"completed_at": "<string>",
"instance_id": "<string>",
"execution_log": [
{}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agent
Get Run
Get detailed information about a specific agent run
GET
/
api
/
agent
/
runs
/
{run_id}
Get single agent run details
Path Parameters
Response
Successful Response
Detailed information about a single agent run
Unique agent run identifier
The original task prompt
Run status (running, completed, failed, cancelled)
Run start timestamp
Total execution duration
Run completion timestamp
VM instance ID used for this run
Execution event log